Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.webflow.execution
Interface FlowExecution

All Superinterfaces:
  FlowExecutionContext

All Known Implementing Classes:
  FlowExecutionImpl

    public interface FlowExecution

extends FlowExecutionContext

An execution of a flow definition. This is the central interface for manipulating a instance of a flow definition.

Author:
  Keith Donald, Erwin Vervaet

Method Summary
`void` | `resume(ExternalContext context)` Resume this flow execution.
`void` | `start(MutableAttributeMap input, ExternalContext context)` Start this flow execution.

Methods inherited from interface org.springframework.webflow.execution.FlowExecutionContext
`getActiveSession, getAttributes, getConversationScope, getDefinition, getFlashScope, getKey, getOutcome, hasEnded, hasStarted, isActive`

Method Detail

### start

    void start(MutableAttributeMap input,
               ExternalContext context)
               throws FlowExecutionException

  Start this flow execution. This method should only be called once.

  When this method returns, execution status is either "paused" or "ended". If ended, the flow execution cannot be used again. If "paused", the flow execution may be `resumed`.

  Parameters:
    `input` - flow execution input
    `context` - the external context representing the calling environment
  Throws:
    `FlowExecutionException` - if an exception was thrown within a state of the flow execution during request processing

### resume

    void resume(ExternalContext context)
                throws FlowExecutionException

  Resume this flow execution. May be called when the flow execution is paused. When this method returns, execution status is either "paused" or "ended". If ended, the flow execution cannot be used again. If "paused", the flow execution may be resumed again.

  Parameters:
    `context` - the external context, representing the calling environment, where something happened this flow execution should respond to
  Throws:
    `FlowExecutionException` - if an exception was thrown within a state of the resumed flow execution during event processing

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD